Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.access.jdbc
Class SelectAction

    java.lang.Object
      org.apache.cayenne.access.jdbc.BaseSQLAction
          org.apache.cayenne.access.jdbc.SelectAction

All Implemented Interfaces:
  SQLAction

    public class SelectAction

extends BaseSQLAction

A SQLAction that handles SelectQuery execution.

Since:
  1.2
Author:
  Andrei Adamchik

Field Summary
`protected SelectQuery` | `query`

Fields inherited from class org.apache.cayenne.access.jdbc.BaseSQLAction
`adapter, entityResolver`

Constructor Summary
`SelectAction(SelectQuery query, DbAdapter adapter, EntityResolver entityResolver)`

Method Summary
`protected SelectTranslator` | `createTranslator(java.sql.Connection connection)`
`void` | `performAction(java.sql.Connection connection, OperationObserver observer)` Executes a query using a strategy defined by the implementation.

Methods inherited from class org.apache.cayenne.access.jdbc.BaseSQLAction
`getAdapter, getEntityResolver, readResultSet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### query

    protected SelectQuery query

Constructor Detail

### SelectAction

    public SelectAction(SelectQuery query,
                        DbAdapter adapter,
                        EntityResolver entityResolver)

Method Detail

### createTranslator

    protected SelectTranslator createTranslator(java.sql.Connection connection)

### performAction

    public void performAction(java.sql.Connection connection,
                              OperationObserver observer)
                       throws java.sql.SQLException,
                              java.lang.Exception

  Description copied from interface: `SQLAction`
  Executes a query using a strategy defined by the implementation.

  Throws:
    `java.sql.SQLException`
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.